Permissions Groups
All operations require authentication.
List permissions groupsProduction
Returns the permissions groups of the account, and the platform (ovh) groups reusable in policies.
Headers
Pagination cursor
Pagination size
Response
Creation time
Description of the permissions group
Identifier of the permissions group
Name of the permissions group
Owner of the permissions group
Permissions granted when using this permissions group
Last update time
Unique resource name used in policies to include this permissions group
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ permissionsGroup \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "permissions": { "allow": [ { "action": "string" } ], "deny": [ { "action": "string" } ], "except": [ { "action": "string" } ] }, "updatedAt": "2024-01-01T12:00:00Z", "urn": "string" }]
Get a permissions groupProduction
Returns the name, description and permissions of the group.
Path parameters
Permissions groupurn
Response
Creation time
Description of the permissions group
Identifier of the permissions group
Name of the permissions group
Owner of the permissions group
Permissions granted when using this permissions group
Last update time
Unique resource name used in policies to include this permissions group
Example uses permissionsGroupURN = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ permissionsGroup/ {permissionsGroupURN} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "permissions": { "allow": [ { "action": "string" } ], "deny": [ { "action": "string" } ], "except": [ { "action": "string" } ] }, "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}
Create a permissions groupProduction
Creates a reusable allow/deny action set to attach to policies via permissionsGroups.
Request body (required)
Creation time
Description of the permissions group
Identifier of the permissions group
Name of the permissions group
Owner of the permissions group
Permissions granted when using this permissions group
Last update time
Unique resource name used in policies to include this permissions group
Response
Creation time
Description of the permissions group
Identifier of the permissions group
Name of the permissions group
Owner of the permissions group
Permissions granted when using this permissions group
Last update time
Unique resource name used in policies to include this permissions group
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ permissionsGroup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "permissions": { "allow": [ { "action": "string" } ], "deny": [ { "action": "string" } ], "except": [ { "action": "string" } ] }, "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}
Delete a permissions groupProduction
Deletes the permissions group. Resources and policies linked to it are not affected.
Path parameters
Permissions groupurn
Response
Example uses permissionsGroupURN = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ permissionsGroup/ {permissionsGroupURN} \
-H "authorization: Bearer $OVH_TOKEN"Update a permissions groupProduction
Replaces the group's name, description and permissions.
Path parameters
Permissions groupurn
Request body (required)
Creation time
Description of the permissions group
Identifier of the permissions group
Name of the permissions group
Owner of the permissions group
Permissions granted when using this permissions group
Last update time
Unique resource name used in policies to include this permissions group
Response
Creation time
Description of the permissions group
Identifier of the permissions group
Name of the permissions group
Owner of the permissions group
Permissions granted when using this permissions group
Last update time
Unique resource name used in policies to include this permissions group
Example uses permissionsGroupURN = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ permissionsGroup/ {permissionsGroupURN} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "permissions": { "allow": [ { "action": "string" } ], "deny": [ { "action": "string" } ], "except": [ { "action": "string" } ] }, "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}